Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class GroovyCategorySupport.CategoryMethodList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod>
                  org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethodList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod>, Collection<org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod>, List<org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod>, RandomAccess

Enclosing class:
  GroovyCategorySupport

    public static class GroovyCategorySupport.CategoryMethodList

extends ArrayList<org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod>

See Also:
  Serialized Form

Field Summary
`int` | `level`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`GroovyCategorySupport.CategoryMethodList(String name, int level, GroovyCategorySupport.CategoryMethodList previous)`

Method Summary
`boolean` | `add(org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod o)`

Methods inherited from class java.util.ArrayList
`add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode`

Methods inherited from class java.util.AbstractCollection
`containsAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode`

Field Detail

### level

    public final int level

Constructor Detail

### GroovyCategorySupport.CategoryMethodList

    public GroovyCategorySupport.CategoryMethodList(String name,
                                                    int level,
                                                    GroovyCategorySupport.CategoryMethodList previous)

Method Detail

### add

    public boolean add(org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod o)

  Specified by:
    `add` in interface `Collection<org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod>`
  Specified by:
    `add` in interface `List<org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod>`
  Overrides:
    `add` in class `ArrayList<org.codehaus.groovy.runtime.GroovyCategorySupport.CategoryMethod>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD